org.keycloak.dom.saml.v2.ac

## Class IdentificationType

- java.lang.Object
- - org.keycloak.dom.saml.v2.ac.IdentificationType

-     public class IdentificationType
      extends Object

  Java class for IdentificationType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IdentificationType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}PhysicalVerification" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}WrittenConsent" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}GoverningAgreements" minOccurs="0"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:ac}Extension" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="nym" type="{urn:oasis:names:tc:SAML:2.0:ac}nymType" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<ExtensionType>` | `extension`
    `protected GoverningAgreementsType` | `governingAgreements`
    `protected NymType` | `nym`
    `protected PhysicalVerification` | `physicalVerification`
    `protected ExtensionOnlyType` | `writtenConsent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentificationType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<ExtensionType>` | `getExtension()` Gets the value of the extension property.
    `GoverningAgreementsType` | `getGoverningAgreements()` Gets the value of the governingAgreements property.
    `NymType` | `getNym()` Gets the value of the nym property.
    `PhysicalVerification` | `getPhysicalVerification()` Gets the value of the physicalVerification property.
    `ExtensionOnlyType` | `getWrittenConsent()` Gets the value of the writtenConsent property.
    `void` | `setGoverningAgreements(GoverningAgreementsType value)` Sets the value of the governingAgreements property.
    `void` | `setNym(NymType value)` Sets the value of the nym property.
    `void` | `setPhysicalVerification(PhysicalVerification value)` Sets the value of the physicalVerification property.
    `void` | `setWrittenConsent(ExtensionOnlyType value)` Sets the value of the writtenConsent property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### physicalVerification

          protected PhysicalVerification physicalVerification

    - #### writtenConsent

          protected ExtensionOnlyType writtenConsent

    - #### governingAgreements

          protected GoverningAgreementsType governingAgreements

    - #### extension

          protected List<ExtensionType> extension

    - #### nym

          protected NymType nym

  - ### Constructor Detail

    - #### IdentificationType

          public IdentificationType()

  - ### Method Detail

    - #### getPhysicalVerification

          public PhysicalVerification getPhysicalVerification()

      Gets the value of the physicalVerification property.
      Returns:
        possible object is `PhysicalVerification`

    - #### setPhysicalVerification

          public void setPhysicalVerification(PhysicalVerification value)

      Sets the value of the physicalVerification property.
      Parameters:
        `value` - allowed object is `PhysicalVerification`

    - #### getWrittenConsent

          public ExtensionOnlyType getWrittenConsent()

      Gets the value of the writtenConsent property.
      Returns:
        possible object is `ExtensionOnlyType`

    - #### setWrittenConsent

          public void setWrittenConsent(ExtensionOnlyType value)

      Sets the value of the writtenConsent property.
      Parameters:
        `value` - allowed object is `ExtensionOnlyType`

    - #### getGoverningAgreements

          public GoverningAgreementsType getGoverningAgreements()

      Gets the value of the governingAgreements property.
      Returns:
        possible object is `GoverningAgreementsType`

    - #### setGoverningAgreements

          public void setGoverningAgreements(GoverningAgreementsType value)

      Sets the value of the governingAgreements property.
      Parameters:
        `value` - allowed object is `GoverningAgreementsType`

    - #### getExtension

          public List<ExtensionType> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

           getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `ExtensionType`

    - #### getNym

          public NymType getNym()

      Gets the value of the nym property.
      Returns:
        possible object is `NymType`

    - #### setNym

          public void setNym(NymType value)

      Sets the value of the nym property.
      Parameters:
        `value` - allowed object is `NymType`

Copyright © 2016 JBoss by Red Hat. All rights reserved.